import axios from 'axios';
const baseUrl = "/daglApi";

export function getInfoPost(url, data = {}, token, fun) {
	axios.post(`${baseUrl}${url}`, data, {
		headers: {
			"founder.authorization": `bearer ${token}`,
		}
	}).then(res => {
		fun(res.data)
	})
}

export function getInfo(url, params = {}, token, fun) {
	axios.get(`${baseUrl}${url}`, {
		params,
		headers: {
			"founder.authorization": `bearer ${token}`,
		},
	}).then(res => {
		fun(res.data)
	})
}